<?php 

if(!OW::getPluginManager()->isPluginActive('video') && !OW::getPluginManager()->isPluginActive('videoplus')) {
	BOL_PluginService::getInstance()->deactivate('videofeedloading');
}

function onVideoFeedFialize($event){
	OW::getDocument()->addStyleDeclaration(".video_feed_loading > iframe {width: 100%;}");
}
OW::getEventManager()->bind(OW_EventManager::ON_FINALIZE, 'onVideoFeedFialize');

function video_feed_on_item_render( OW_Event $e )
{
	$params = $e->getParams();
    $data = $e->getData();

    if ( $params['action']['entityType'] != 'video_comments' )
    {
        return;
    }

    $videoService = VIDEO_BOL_ClipService::getInstance();
    $clip = $videoService->findClipById($params['action']['entityId']);
    $thumb = $videoService->getClipThumbUrl($clip->id);

    $url = OW::getRouter()->urlForRoute('view_clip', array('id' => $clip->id));

    $content = UTIL_String::truncate(strip_tags($clip->description), 150, '...');
    $title = UTIL_String::truncate(strip_tags($clip->title), 100, '...');

    if ( $thumb == "undefined" )
    {
        $thumb = $videoService->getClipDefaultThumbUrl();

        $markup  = '<div class="clearfix"><div class="ow_newsfeed_item_picture">';
        $markup .= '<a onclick=\'javascript:var myElement = $(this);myElement.css("display", "none");var next = myElement.parent().next(); next.css("display", "block");\' style="display: block;" href="javascript://"><div style="width: 75px; height: 60px; background: url('.$thumb.') no-repeat center center;"></div></a>';
        $markup .= '</div>';
        $markup .= '<div class="video_feed_loading" style="display: none;">'. $clip->code .'</div>';
        $markup .= '<div class="ow_newsfeed_item_content"><a href="' . $url . '">' . $title . '</a><div class="ow_remark">';
        $markup .= $content . '</div></div></div>';
    }
    else
    {
        $markup  = '<div class="clearfix ow_newsfeed_large_image"><div class="ow_newsfeed_item_picture">';
        $markup .= '<a onclick=\'javascript:var myElement = $(this);myElement.css("display", "none");var next = myElement.parent().next(); next.css("display", "block");\' style="display: block;" href="javascript://"><img src="' . $thumb . '" /></a>';
        $markup .= '</div>';
        $markup .= '<div class="video_feed_loading" style="display: none;">'. $clip->code .'</div>';
        $markup .= '<div class="ow_newsfeed_item_content"><a href="' . $url . '">' . $title . '</a><div class="ow_remark">';
        $markup .= $content . '</div></div></div>';
    }
     
	$data = $e->getData();
    $data['content'] = '<div class="clearfix">' . $markup . '</div>';

    $e->setData($data);
}

OW::getEventManager()->bind('feed.on_item_render', 'video_feed_on_item_render');

function videoplus_feed_on_item_render( OW_Event $e )
{
	$params = $e->getParams();
    $data = $e->getData();

    if ( $params['action']['entityType'] != 'videoplus_comments' )
    {
        return;
    }

    $videoService = VIDEOPLUS_BOL_Service::getInstance();
    $clip = $videoService->findClipById($params['action']['entityId']);
    $thumb = $videoService->getClipThumbUrl($clip->id);

    $url = OW::getRouter()->urlForRoute('videoplus_view_clip', array('id' => $clip->id));

    $content = UTIL_String::truncate(strip_tags($clip->description), 150, '...');
    $title = UTIL_String::truncate(strip_tags($clip->title), 100, '...');
	
	/* get video plus code */
	$config = OW::getConfig();
	$playerWidth = $config->getValue('videoplus', 'player_width');
	$playerHeight = $config->getValue('videoplus', 'player_height');
	if(!class_exists('AutoEmbed')){ 
		include OW::getPluginManager()->getPlugin('videoplus')->getClassesDir() . "AutoEmbed.class.php";
	}	
	$code = "";
	$AE = new AutoEmbed();

	if (!$AE->parseUrl($clip->code)) {
		$code = $clip->code;
	} else {
		$AE->setParam('wmode', 'transparent');
		$code = $AE->getEmbedCode();
	}

	$code = $videoService->formatClipDimensions($code, $playerWidth, $playerHeight);
	/* ----- */
	
    if ( $thumb == "undefined" )
    {
        $thumb = $videoService->getClipDefaultThumbUrl();

        $markup  = '<div class="clearfix"><div class="ow_newsfeed_item_picture">';
        $markup .= '<a onclick=\'javascript:var myElement = $(this);myElement.css("display", "none");var next = myElement.parent().next(); next.css("display", "block");\' style="display: block;" href="javascript://"><div style="width: 75px; height: 60px; background: url('.$thumb.') no-repeat center center;"></div></a>';
        $markup .= '</div>';
        $markup .= '<div class="video_feed_loading" style="display: none;">'.$code .'</div>';
        $markup .= '<div class="ow_newsfeed_item_content"><a href="' . $url . '">' . $title . '</a><div class="ow_remark">';
        $markup .= $content . '</div></div></div>';
    }
    else
    {
        $markup  = '<div class="clearfix ow_newsfeed_large_image"><div class="ow_newsfeed_item_picture">';
        $markup .= '<a onclick=\'javascript:var myElement = $(this);myElement.css("display", "none");var next = myElement.parent().next(); next.css("display", "block");\' style="display: block;" href="javascript://"><img src="' . $thumb . '" /></a>';
        $markup .= '</div>';
        $markup .= '<div class="video_feed_loading" style="display: none;">'. $code .'</div>';
        $markup .= '<div class="ow_newsfeed_item_content"><a href="' . $url . '">' . $title . '</a><div class="ow_remark">';
        $markup .= $content . '</div></div></div>';
    }
     
	$data = $e->getData();
    $data['content'] = '<div class="clearfix">' . $markup . '</div>';

    $e->setData($data);
}

OW::getEventManager()->bind('feed.on_item_render', 'videoplus_feed_on_item_render');	
?>
